package cn.iocoder.yudao.module.member.controller.app.scoreRule.vo;

import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRuleShareExtraVO;
import cn.iocoder.yudao.module.member.vo.scoreRule.extra.ScoreRulerRecommendExtraVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("客户端 - 积分规则详细信息 Response VO")
public class AppScoreRuleBackDetailVO extends AppScoreRuleListBackVO {
    @ApiModelProperty(value = "单次获取积分数")
    private Integer getScoreOnce;
    @ApiModelProperty(value = "累积最高积分")
    private Integer maxScoreTotal;
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "活动开始时间")
    private Date startTime;
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "活动结束时间")
    private Date endTime;
    @ApiModelProperty(value = "积分有效期")
    private Integer scorePeriod;
    //@ApiModelProperty(value = "扩展字段原始")
    //private String extra;
    //@ApiModelProperty(value = "订单V值扩展字段")
    //private ScoreRuleOrderVExtraVO extraOrderV;
    //@ApiModelProperty(value = "注册扩展字段")
    //private ScoreRuleRegisterExtraVO extraRegister;
}
