package cn.iocoder.yudao.module.member.controller.app.userScore.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("用户 APP - 会员积分日志返回 VO")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AppMemberUserScoreLogRespVO {
    @ApiModelProperty(value = "积分数量")
    private Integer scoreCount;
    @ApiModelProperty(value = "操作类型")
    private String operateType;
    @ApiModelProperty(value = "积分来源")
    private String sourceTypeZh;
    @ApiModelProperty(value = "积分来源")
    private String sourceTypeEn;
    @ApiModelProperty(value = "积分规则id")
    private Long ruleId;
    @ApiModelProperty(value = "积分规则名称中文")
    private String ruleNameZh;
    @ApiModelProperty(value = "积分规则名称英文")
    private String ruleNameEn;
    @ApiModelProperty(value = "日志时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date createTime;
    @ApiModelProperty(value = "描述信息中文")
    private String descZh = "";
    @ApiModelProperty(value = "描述信息英文")
    private String descEn = "";
    @ApiModelProperty(value = "礼品兑换数量")
    private Integer rewardCount;
}
